<template>
  <div id="appRoot">
    <div v-if="isToken">
       <template v-if="!$route.meta.public">
        <v-app id="inspire" class="app">
          <app-drawer class="app--drawer"></app-drawer>
          <app-toolbar class="app--toolbar"></app-toolbar>
          <v-content>
            <!-- Page Header -->
            <page-header v-if="$route.meta.breadcrumb"></page-header>
            <div class="page-wrapper">
              <router-view></router-view>
            </div>   
            <!-- App Footer -->
            <v-footer height="auto" class="white pa-6 app--footer">
              <v-spacer></v-spacer>
              <span
                class="caption mr-1"
              >Buisek &copy; {{ new Date().getFullYear() }} / Todos los derechos reservados</span>
            </v-footer>
          </v-content>
          <!-- Go to top -->
          <app-fab></app-fab>         
        </v-app>
      </template>
      <template v-else>
        <transition>
          <keep-alive>
            <router-view></router-view>
          </keep-alive>
        </transition>
      </template>
    </div>
    <div v-else>
      <transition>
        <keep-alive>
          <router-view default="{name: 'Index'}"></router-view>
        </keep-alive>
      </transition>
    </div>
    <v-snackbar v-model="snackbar.show" :timeout="3000" bottom right :color="snackbar.color" >
      {{ snackbar.text }}
      <v-btn dark flat  icon @click.native="snackbar.show = false"> 
        <v-icon>close</v-icon>
      </v-btn>
    </v-snackbar>    
  </div>
</template>
<script>
import AppDrawer from '@/partials/AppDrawer';
import AppToolbar from '@/partials/AppToolbar';
import AppFab from '@/partials/AppFab';
import PageHeader from '@/partials/PageHeader';
import menu from '@/api/menu';
import AppEvents from  './event';
export default {
  components: {
    AppDrawer,
    AppToolbar,
    AppFab,
    PageHeader,
  },
  data: () => ({
    expanded: true,
    rightDrawer: false,
    snackbar: {
      show: false,
      text: '',
      color: '',
    }
  }),

  computed: {
    isToken() {
      return (this.$store.state.token !== null || this.$store.state.token !== undefined)
    }
  },
  mounted() {
    // console.log((this.$store.state.token !== null || this.$store.state.token !== undefined))
    // console.log(!this.$route.meta.public)
  },
  created () {
    AppEvents.forEach(item => {
      this.$on(item.name, item.callback);
    });
    window.getApp = this;
  },
  methods: {
    openThemeSettings () {
      this.$vuetify.goTo(0);
      this.rightDrawer = (!this.rightDrawer);
    }
  },

};
</script>


<style lang="stylus" scoped>
  .setting-fab 
    top:50%!important; 
    right:0;
    border-radius:0  
  .page-wrapper
    min-height:calc(100vh - 64px - 50px - 81px );  

</style>
